variables:
  JOBTECH_CI_SKIP_TESTS: "true"
  TEST_DISABLED: 1
  CODE_QUALITY_DISABLED: 1
  CS_DISABLE_LANGUAGE_VULNERABILITY_SCAN: 1
  DS_EXCLUDED_ANALYZERS: "gemnasium, gemnasium-maven, gemnasium-python"
  DEPLOYS_DISABLED: 1


include:
- remote: https://gitlab.com/arbetsformedlingen/devops/gitlab-cicd/jobtech-ci/-/raw/v2.1.5/jobtech-ci.yml
- remote: https://gitlab.com/arbetsformedlingen/devops/gitlab-cicd/jobtech-ci/-/raw/v2.1.5/deploy.yml
- local: wait-for-deploy.yml


.default_rules:
  main_branch:
    - if: '$CI_COMMIT_REF_SLUG == $CI_DEFAULT_BRANCH'  # Rule to check if on the default branch


prepare_taxonomy_api_libraries:
  stage: build
  image: bash:latest
  script:
    - mkdir target && touch target/hej.txt
  artifacts:
    paths:
      - target

build:
  needs: [prepare_taxonomy_api_libraries]

# Autodeploy to the Testing cluster
autodeploy_testing_read:
  stage: deploy
  image: docker:25.0.0-beta.2
  services:
    - docker:25.0.0-beta.2-dind
  resource_group: write-infra
  variables:
    OVERLAY: "yyyyyyy-taxonomy-api-testing-read"
  rules:
    - !reference [.default_rules, main_branch]
  script:
    - !reference [.deploy, script]

# Wait for the deployment in the Testing cluster to reach state ready
on_deployed_testing:
  extends: wait_for_deploy
  stage: deploy
  variables:
    OCP_TEST_OVERLAY: "yyyyyyy-taxonomy-api-testing-read"
  rules:
    - !reference [.default_rules, main_branch]
  needs: [autodeploy_testing_read]

# Test the autodeployed app in the Testing cluster
test_testing_deployment:
  stage: deploy
  needs: [prepare_taxonomy_api_libraries]
  image: bash:latest
  script:
    - echo foobar
  rules:
    - !reference [.default_rules, main_branch]
  needs: [on_deployed_testing]
